For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet all release templates
      • POSTCreate a release template
      • GETGet a release template
      • PUTUpdate a release template
      • DELDelete a release template
      • POSTArchive a release template
      • POSTAdd a milestone
      • PUTUpdate a milestone
      • DELRemove a milestone
      • POSTAdd a strategy to milestone
      • PUTUpdate milestone strategy
      • DELRemove milestone strategy
      • GETGet release plans
      • POSTAdd a release plan
      • DELRemove a release plan
      • POSTStart a milestone

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIRelease templates

Get a release template

||View as Markdown|
GET
https://app.unleash-instance.example.com/api/admin/release-plan-templates/:templateId
GET
/api/admin/release-plan-templates/:templateId
$curl https://app.unleash-instance.example.com/api/admin/release-plan-templates/templateId \
> -H "Authorization: <apiKey>"
1{
2 "id": "01JB9GGTGQYEQ9D40R17T3YVW2",
3 "discriminator": "template",
4 "name": "My release plan",
5 "createdByUserId": 53,
6 "createdAt": "2022-01-01T00:00:00Z",
7 "description": "This is my release plan",
8 "milestones": [
9 {
10 "id": "01JB9GGTGQYEQ9D40R17T3YVW1",
11 "name": "My milestone",
12 "sortOrder": 1,
13 "releasePlanDefinitionId": "01JB9GGTGQYEQ9D40R17T3YVW2",
14 "startedAt": "2024-01-01T00:00:00.000Z",
15 "transitionCondition": {
16 "intervalMinutes": 30
17 },
18 "progressionExecutedAt": "2024-01-01T00:00:00.000Z",
19 "pausedAt": "2024-01-01T00:00:00.000Z",
20 "strategies": [
21 {
22 "id": "01JB9GGTGQYEQ9D40R17T3YVW3",
23 "milestoneId": "01JB9GGTGQYEQ9D40R17T3YVW1",
24 "sortOrder": 9999,
25 "name": "flexibleRollout",
26 "strategyName": "flexibleRollout",
27 "title": "Gradual Rollout 25-Prod",
28 "parameters": {
29 "groupId": "some_new",
30 "rollout": "25",
31 "stickiness": "sessionId"
32 },
33 "constraints": [
34 {
35 "contextName": "appName",
36 "operator": "IN",
37 "caseInsensitive": false,
38 "inverted": false,
39 "values": [
40 "1",
41 "2"
42 ]
43 }
44 ],
45 "variants": [
46 {
47 "name": "blue_group",
48 "weight": 1,
49 "weightType": "fix",
50 "stickiness": "custom.context.field",
51 "payload": {
52 "type": "json",
53 "value": "{\"color\": \"red\"}"
54 }
55 }
56 ],
57 "segments": [
58 1,
59 2
60 ],
61 "disabled": false
62 }
63 ]
64 }
65 ],
66 "archivedAt": "2022-01-01T00:00:00Z"
67}

Enterprise feature

Finds and returns a release template by the provided id.

Was this page helpful?
Previous

Update a release template

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

templateIdstringRequired

Response

#/components/schemas/releasePlanTemplateSchema

idstring

The release plan/template’s ID. Release template IDs are ulids.

discriminatorenum
A field to distinguish between release plans and release templates.
Allowed values:
namestring
The name of the release template.
createdByUserIddouble

Release template: The ID of the user who created this template.

createdAtstringformat: "date-time"
The date and time that the release template was created.
descriptionstring or null
A description of the release template.
milestoneslist of objects
A list of the milestones in this release template.
archivedAtstring or nullformat: "date-time"
The date and time that the release template was archived.

Errors

401
Unauthorized Error